<div v-if="shippingDetail" id="hideBottomInput" class="mx-lg-8 max-w-[792px]">
  <div class="flex items-center justify-between mt-8 mb-4">
    <div class="flex items-center">
      <nuxt-link to="/admin/shipping" class="text-decoration-none">
        <p class="mb-0 font-medium leading-6 text-content-subtitle">Settings</p>
      </nuxt-link>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <nuxt-link to="/admin/shipping">
        <p class="mb-0 font-medium leading-6 text-content-subtitle capitalize">
          Shipping
        </p>
      </nuxt-link>
      <v-icon class="mr-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-semibold leading-6 text-content-main capitalize">
        {{shippingDetail.name}}
      </p>
    </div>
  </div>
  <div class="flex justify-between">
    <h1 class="my-4 text-lg font-semibold text-gray-900">Edit Shipping zone</h1>
    <v-btn
      :disabled="loading"
      @click="onEditShippingZone()"
      height="44px"
      class="text-none elevation-0 !text-white !bg-button px-7"
    >
      <v-progress-circular
        v-if="loading"
        size="18"
        indeterminate
        color="#076CE3"
      >
      </v-progress-circular>
      <span v-else> Save </span>
    </v-btn>
  </div>
  <div
    class="rounded-md bg-white p-4"
    style="
      box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.06),
        0px 1px 3px 0px rgba(0, 0, 0, 0.1);
    "
  >
    <p class="text-sm font-semibold text-content-main">Zone Name</p>
    <v-text-field
      dense
      outlined
      v-model="shippingDetail.name"
      class="my-1"
      :disabled="shippingDetail.isRestOfWorld"
    >
    </v-text-field>
    <p class="text-content-subtitle text-xs">Customer won’t see this</p>
  </div>

  <div
    class="rounded-md bg-white p-4 my-4"
    v-if="!shippingDetail.isRestOfWorld"
    style="
      box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.06),
        0px 1px 3px 0px rgba(0, 0, 0, 0.1);
    "
  >
    <div class="flex justify-between">
      <p class="text-sm font-semibold text-content-main">Applied Countries</p>
      <v-btn
        @click="dialogAddCountry =!dialogAddCountry"
        class="rounded-md text-none elevation-0 !text-white"
        color="#3B82F6"
      >
        Add Country
      </v-btn>
    </div>

    <div v-if="shippingDetail.listCountry" class="flex justify-between mt-4">
      <div class="flex items-center w-full">
        <div class="mx-2 w-full">
          <div
            v-for="(quocgia, i) in shippingDetail.listCountry"
            :key="'quocgia' + i"
            class="flex items-center justify-between w-full"
          >
            <div class="flex items-center w-full">
              <CountryFlag
                :country="quocgia"
                size="normal"
                class="w-full h-full"
              />
              <p class="ml-2 mb-0 mt-2 text-sm text-gray-900">
                {{findCountryName(quocgia)}}
              </p>
            </div>
            <button @click="deleteCountry(i)">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                width="20"
                height="20"
                viewBox="0 0 20 20"
                fill="none"
              >
                <path
                  d="M15.8334 5.34199L14.6584 4.16699L10.0001 8.82533L5.34175 4.16699L4.16675 5.34199L8.82508 10.0003L4.16675 14.6587L5.34175 15.8337L10.0001 11.1753L14.6584 15.8337L15.8334 14.6587L11.1751 10.0003L15.8334 5.34199Z"
                  fill="#6B7280"
                />
              </svg>
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div
    class="rounded-md bg-white p-4 my-4"
    style="
      box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.06),
        0px 1px 3px 0px rgba(0, 0, 0, 0.1);
    "
  >
    <div class="flex justify-between">
      <p class="text-sm font-semibold text-content-main">Item Quantity rates</p>
      <v-btn
        @click="dialogAddItemQuantity =!dialogAddItemQuantity"
        class="rounded-md text-none elevation-0 !text-white"
        color="#3B82F6"
      >
        Add rate
      </v-btn>
    </div>
    <div class="mt-4">
      <v-skeleton-loader
        class="mx-auto mt-10"
        width="100%"
        type="card"
        v-if="loadingTable"
      >
      </v-skeleton-loader>
      <v-simple-table class="scrollTable c-pointer" fixed-header>
        <template v-slot:default>
          <thead>
            <tr>
              <th class="!bg-gray-50 text-left">
                <div style="width: 200px">
                  <p class="mb-0 text-sm">Name</p>
                </div>
              </th>
              <th class="!bg-gray-50 text-left">
                <div style="width: 200px">
                  <p class="mb-0 text-sm">Amount of Products</p>
                </div>
              </th>
              <th class="!bg-gray-50 text-left">
                <p class="mb-0 text-sm">Cost</p>
              </th>
              <th class="!bg-gray-50 text-left"></th>
            </tr>
          </thead>
          <tbody>
            <tr
              v-for="(item,idx) in shippingDetail.listPrice"
              :key="item + idx"
            >
              <td class="py-3">
                <p class="mb-0 text-sm">{{item.name}}</p>
              </td>
              <td class="py-3">
                <div class="flex items-center">
                  <p class="mb-0 text-sm font-semibold">{{item.quantity}}</p>
                </div>
              </td>
              <td class="py-3">
                <p class="mb-0 text-sm">${{item.price}}</p>
              </td>
              <td class="py-3 relative">
                <div class="flex items-center justify-center mr-8">
                  <button
                    @click="openDialogQuantityItem(item._id)"
                    class="text-blue-500 text-sm font-normal"
                  >
                    Edit
                  </button>
                </div>
                <button
                  @click="deleteItem(idx)"
                  style="
                    position: absolute;
                    right: 16px;
                    top: 50%;
                    transform: translateY(-50%);
                  "
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    width="20"
                    height="20"
                    viewBox="0 0 20 20"
                    fill="none"
                  >
                    <path
                      d="M7.49992 2.5V3.33333H3.33325V5H4.16659V15.8333C4.16659 16.2754 4.34218 16.6993 4.65474 17.0118C4.9673 17.3244 5.39122 17.5 5.83325 17.5H14.1666C14.6086 17.5 15.0325 17.3244 15.3451 17.0118C15.6577 16.6993 15.8333 16.2754 15.8333 15.8333V5H16.6666V3.33333H12.4999V2.5H7.49992ZM7.49992 6.66667H9.16658V14.1667H7.49992V6.66667ZM10.8333 6.66667H12.4999V14.1667H10.8333V6.66667Z"
                      fill="#6B7280"
                    />
                  </svg>
                </button>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
    </div>
  </div>

  <div
    v-if="shippingDetail.isRestOfWorld == false"
    class="rounded-md bg-white p-4 my-4 flex justify-between items-center"
    style="
      box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.06),
        0px 1px 3px 0px rgba(0, 0, 0, 0.1);
    "
  >
    <p class="text-sm font-semibold">Delete Shipping zone</p>
    <v-btn
      color="#EF4444"
      class="elevation-0 text-none rounded-md bg-white"
      outlined
      @click="onDeleteShipping()"
    >
      Delete Shipping
    </v-btn>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogAddCountry" max-width="640">
      <v-card id="hideBottomInput" class="pa-0">
        <div class="d-flex align-center justify-space-between px-4 py-2">
          <p class="mb-0 fsize-18 lightContentPrimary">Add Countries</p>
          <v-btn
            color="#949494"
            @click="dialogAddCountry = !dialogAddCountry"
            icon
            small
            :disabled="loading"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="px-4">
          <div class="mb-2">
            <div class="py-4">
              <v-text-field
                v-model="nameSortCountry"
                dense
                outlined
                placeholder="Search Countries"
                class="flex-1 text-gray-400"
                prepend-inner-icon="mdi-magnify"
              >
              </v-text-field>
            </div>
            <div
              v-for="(item,idx) in listCountrySort"
              :key="item + idx"
              class="flex items-center border-t-gray-200 border-b-gray-200 border-t-2 border-b-border-t-2"
            >
              <v-checkbox
                class="mt-0 ml-2"
                :value="item.code"
                v-model="shippingDetail.listCountry"
              ></v-checkbox>
              <div class="flex items-center">
                <div class="w-10 h-10">
                  <CountryFlag
                    :country="item.code"
                    size="normal"
                    class="w-full h-full"
                  />
                </div>
                <p class="mb-0">{{item.name}}</p>
              </div>
            </div>
          </div>
        </div>
        <v-divider class="my-6"></v-divider>
        <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
          <v-btn
            color="#3B82F6"
            class="!capitalize elevation-0 !font-semibold"
            :disabled="loading"
            @click="dialogAddCountry = !dialogAddCountry"
          >
            <span class="text-white"> Close </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogAddItemQuantity" max-width="640">
      <v-card id="hideBottomInput" class="pa-0">
        <div class="d-flex align-center justify-space-between p-4">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Add Item Quantity Rate
          </p>
          <v-btn
            color="#949494"
            @click="dialogAddItemQuantity = !dialogAddItemQuantity"
            icon
            small
            :disabled="loading"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider class="mb-6"></v-divider>
        <div class="px-4">
          <div class="mb-2">
            <p class="text-sm font-semibold text-content-main mb-2">
              Rate Name
            </p>
            <v-text-field
              dense
              outlined
              placeholder="e.g Rest of the World"
              class="flex-1"
              v-model="shippingName"
            >
            </v-text-field>
          </div>
          <div class="mb-2">
            <p class="text-sm font-semibold text-content-main">
              Amount of Products Range
            </p>
            <p class="text-sm text-gray-600 my-2">
              This shipping cost will be applied for order with
              {{quantityItems}} -
              <span v-if="isMax > 0">{{isMax}}</span>
              <span v-else>∞</span> items
            </p>

            <v-text-field
              dense
              outlined
              placeholder="Item Quantity"
              class="flex-1"
              type="number"
              v-model="quantityItems"
            >
            </v-text-field>
            <p v-if="isExistingQuantity" class="text-sm text-red-500 mt-1">
              Existing quantity
            </p>
          </div>
          <div class="mb-2">
            <p class="text-sm font-semibold text-content-main mb-2">Cost</p>
            <v-text-field
              dense
              outlined
              prefix="$"
              placeholder="Enter a number"
              class="flex-1"
              type="number"
              v-model="shippingCost"
            >
            </v-text-field>
          </div>
        </div>
        <v-divider class="my-6"></v-divider>
        <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
          <v-btn
            color="#076CE3"
            outlined
            text
            class="!capitalize elevation-0"
            style="border: 1px solid #076ce3"
            @click="dialogAddItemQuantity = !dialogAddItemQuantity"
          >
            Cancel
          </v-btn>
          <v-btn
            @click="addItemQuantityRate()"
            color="#076CE3"
            class="!capitalize elevation-0"
          >
            <span class="text-white"> Save </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogAddItemQuantityItem" max-width="640">
      <v-card id="hideBottomInput" class="pa-0">
        <div class="d-flex align-center justify-space-between p-4">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Edit {{shippingEdit.name}}
          </p>
          <v-btn
            color="#949494"
            @click="dialogAddItemQuantityItem = !dialogAddItemQuantityItem"
            icon
            small
            :disabled="loading"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider class="mb-6"></v-divider>
        <div class="px-4">
          <div class="mb-2">
            <p class="text-sm font-semibold text-content-main mb-2">
              Rate Name
            </p>
            <v-text-field
              dense
              outlined
              placeholder="e.g Rest of the World"
              class="flex-1"
              v-model="shippingEdit.name"
            >
            </v-text-field>
          </div>
          <div class="mb-2">
            <p class="mb-2 text-sm font-semibold text-content-main">
              Amount of Products Range
            </p>

            <v-text-field
              dense
              outlined
              placeholder="Item Quantity"
              class="flex-1"
              type="number"
              v-model="shippingEdit.quantity"
            >
            </v-text-field>
            <p v-if="isExistingQuantity" class="text-sm text-red-500 mt-1">
              Existing quantity
            </p>
          </div>
          <div class="mb-2">
            <p class="text-sm font-semibold text-content-main mb-2">Cost</p>
            <v-text-field
              dense
              outlined
              prefix="$"
              placeholder="Enter a number"
              class="flex-1"
              type="number"
              v-model="shippingEdit.price"
            >
            </v-text-field>
          </div>
        </div>
        <v-divider class="my-6"></v-divider>
        <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
          <v-btn
            color="#076CE3"
            class="!capitalize elevation-0"
            @click="dialogAddItemQuantityItem = !dialogAddItemQuantityItem"
          >
            <span class="text-white"> Save </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
